algorithmic modeling for Rhino
I'd like to create a small popup window form, where the form displays a custom "user control" which is a Rhino viewport, displaying meshes etc. Something like akin to this:
http://docs.mcneel.com/rhino/5/help/en-us/commands/newfloatingviewp...
But inside of a popup Windows .NET form instead?
Tags:
Last I checked it wasn't possible, but that was a long time ago. Since this has little to do with Grasshopper and lots to do with the Rhino SDK, I think you'd best ask on the McNeel discourse forum, all the cool developers hang out there.
--
David Rutten
david@mcneel.com
Thanks David. Not sure if I'm cool enough to hang out there though.
If you don't need an interactive viewport, you can just display a viewcapture:
RhinoDoc doc = RhinoDoc.ActiveDoc;
Rhino.Display.RhinoView rhinoview = doc.Views.ActiveView;
System.Drawing.Bitmap capturescreen = rhinoview.CaptureToBitmap(new System.Drawing.Size(800, 600), false, false, false);
...the code is a few years old, but hopefully still works.
Best,
Johannes
Welcome to
Grasshopper
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
© 2024 Created by Scott Davidson. Powered by